:root {
    --colors-orange: #FE5100;
    --colors-dark-blue: #030D26;
    --colors-grey: #2E2E2E;
    --colors-light-blue: #25437C;
    --colors-off-white: #DEE3DD;
    --colors-cream: #CCBD9E;
}

html {
    box-sizing: border-box;
    scroll-behavior: smooth;
    scroll-padding-top: 4rem;
}
*, *:before, *:after {
    box-sizing: inherit;
}

.site-container {

}

/* Header */

header {
    padding-top: 1rem;
    padding-bottom: 1rem;
    position: absolute;
    left: 0;
    right: 0;
    z-index: 100;
}

header .header-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    max-width: var(--wp--style--global--wide-size);
    margin: 0 auto;
}

header a.logo {
    display: block;
    width: 100%;
    max-width: 220px;
    position: relative;
    z-index: 20;
}

header a.logo svg { width: 100%; height: 100%; object-fit: contain; }

.main-navigation {
    position: absolute;
    width: 100%;
    height: 100dvh;
    left: 0;
    right: 0;
    top: 0;
    background: var(--colors-dark-blue);
    padding: 100px var(--wp--style--root--padding-right) 0 var(--wp--style--root--padding-left);
    opacity: 0;
    visibility: hidden;
    transition: all .2s ease .2s;
}

body.menu-active .main-navigation {
    opacity: 1;
    visibility: visible;
    transition: all .2s ease 0s;
}

.main-navigation ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.main-navigation ul li a {
    color: white;
    font-size: 1.375rem;
    font-weight: 700;
    text-decoration: none;
    opacity: 0;
    visibility: hidden;
    transition: all .2s ease 0s;
}

.main-navigation ul > li:last-of-type a { color: var(--colors-orange); }
.main-navigation ul > li:last-of-type a:hover { text-decoration: underline; }

body.menu-active .main-navigation ul li a {
    opacity: 1;
    visibility: visible;
    transition: all .2s ease .2s;
}

.main-navigation ul li a:hover { color: var(--colors-orange); }

/* Submenus */

.main-navigation ul li .sub-menu-container {
    display: grid;
    grid-template-rows: 0fr;
    transition: all .25s ease;
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner {
    overflow: hidden;
}

.main-navigation ul li.has-children.expanded .sub-menu-container {
    grid-template-rows: 1fr;
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner > ul {
    list-style-type: none;
    margin: 0 0 1rem;
    padding: 1rem 0 0 1rem;
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner > ul li {
    margin-bottom: .25rem;
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner > ul li a {
    font-size: 1em;
    color: #fff;
    text-decoration: none;
    font-weight: 700;
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner > ul li a:hover {
    color: var(--colors-light-blue);
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner .sub-sub-menu {
    color: white;
    list-style-type: disc;
    margin: .75rem 0 .75rem 1.25rem;
    padding: 0 0 0 .5rem;
}

.main-navigation ul li .sub-menu-container .sub-menu-container__inner .sub-sub-menu li {
    margin-bottom: 0;
}

@media all and (min-width: 1024px) {

    header a.logo { max-width: 280px; }

    header .burgerbutton { display: none; }

    header .main-navigation {
        position: relative;
        width: auto;
        height: auto;
        background: none;
        padding: 0;
        opacity: 1;
        visibility: visible;
    }

    header .main-navigation ul { display: flex; align-items: center; gap: 1.625rem; }

    header .main-navigation ul li a {
        font-size: 1rem;
        font-weight: 400;
        opacity: 1;
        visibility: visible;
    }

    .main-navigation > ul > li.has-children {
        position: relative;
        padding-top: .75rem;
        padding-bottom: .75rem;
    }
    .main-navigation ul li .sub-menu-container {
        position: absolute;
        left: -1rem;
        top: 100%;
        width: 200px;
    }

    header .main-navigation > ul > li.has-children:hover .sub-menu-container,
    header .main-navigation > ul > li.has-children.expanded .sub-menu-container {
        grid-template-rows: 1fr;
    }

    header .burgerbutton { display: none; }

    header .main-navigation > ul > li.has-children .sub-menu-container ul.sub-menu {
        margin-bottom: 30px;
    }

    header .main-navigation > ul > li.has-children .sub-menu-container li {
        background: rgba(218, 218, 218, 1);
        padding: .35rem 1rem .75rem;
        margin-bottom: 0;
        width: 100%;
    }

    .main-navigation ul li .sub-menu-container .sub-menu-container__inner > ul > li:first-of-type {
        padding-top: 1rem;
    }
    .main-navigation ul li .sub-menu-container .sub-menu-container__inner > ul > li:last-of-type {
        padding-bottom: 1.25rem;
        border-bottom-left-radius: 3px;
        border-bottom-right-radius: 30px;
    }

    header .main-navigation > ul > li.has-children .sub-menu-container li:hover {
        background: rgba(243, 243, 243, 1);
    }

    header .main-navigation > ul > li.has-children .sub-menu-container li.has-children > a {
        display: block;
        padding-right: 1rem;
    }

    header .main-navigation > ul > li.has-children .sub-menu-container li.has-children:hover > a { position: relative; }
    header .main-navigation > ul > li.has-children .sub-menu-container li.has-children:hover > a::after {
        content: url('data:image/svg+xml,<svg width="14" height="15" viewBox="0 0 14 15" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M13.7071 8.07106C14.0976 7.68054 14.0976 7.04737 13.7071 6.65685L7.34315 0.292885C6.95262 -0.0976396 6.31946 -0.0976396 5.92893 0.292885C5.53841 0.683409 5.53841 1.31657 5.92893 1.7071L11.5858 7.36395L5.92893 13.0208C5.53841 13.4113 5.53841 14.0445 5.92893 14.435C6.31946 14.8255 6.95262 14.8255 7.34315 14.435L13.7071 8.07106ZM0 7.36395V8.36395H13V7.36395V6.36395H0V7.36395Z" fill="%23031C4A"/></svg>');
        display: block;
        position: absolute;
        top: 50%;
        right: 0;
        height: 20px;
        width: 14px;
        transform: translate3d(0,-50%,0);
    }

    header .main-navigation > ul > li.has-children .sub-menu-container li a {
        display: block;
        color: var(--colors-deep-blue);
        font-weight: 400;
        letter-spacing: -.75px;
    }

    header .main-navigation > ul > li.has-children .sub-menu-container ul {
        display: flex;
        flex-direction: column;
        gap: 0rem;
        padding: 0;
    }

    header .sub-sub-menu-container {
        display: grid;
        grid-template-rows: 0fr;
        transition: all .25s ease;
        position: absolute;
        top: 0;
        left: 100%;
        width: 200px;
    }

    header li.right-aligned .sub-sub-menu-container {
        left: -100%;
    }

    header .main-navigation > ul > li.has-children.right-aligned .sub-menu-container li.has-children:hover > a::after {
        transform: translate3d(0,-50%,0) rotate(180deg) !important;
    }

    header .sub-sub-menu-container__inner {
        overflow: hidden;
    }

    .main-navigation ul li .sub-menu-container .sub-menu-container__inner .sub-sub-menu {
        overflow: hidden;
        margin: 0;
        list-style-type: none;
        color: var(--colors-deep-blue);
        padding: 0 0 30px;
    }

    header .main-navigation li.sub-menu-item.has-children.expanded .sub-sub-menu-container,
    header .main-navigation li.sub-menu-item.has-children:hover .sub-sub-menu-container {
        grid-template-rows: 1fr;
    }

    .main-navigation ul li .sub-menu-container .sub-menu-container__inner .sub-sub-menu li {
        width: 100%;
        background: rgba(243, 243, 243, 1);
    }

    .main-navigation ul li .sub-menu-container .sub-menu-container__inner .sub-sub-menu li:first-of-type {
        padding-top: 1rem;
    }

    .main-navigation ul li .sub-menu-container .sub-menu-container__inner .sub-sub-menu li:last-of-type {
        padding-bottom: 1.25rem;
        border-bottom-left-radius: 3px;
        border-bottom-right-radius: 30px;
    }

}

/* Footer */

footer {
    background: var(--wp--preset--color--grey);
    padding: 3.125rem 0;
}

footer .footer-content {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    align-items: center;
}

footer a.footer-logo {
    display: block;
    width: 100%;
    max-width: 280px;
    margin-right: auto;
}

.footer-columns { width: 100%; display: flex; flex-direction: column; gap: 2rem; }

footer ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

footer ul li a {
    color: #ffffff;
    text-decoration: none;
}

.footer-contact {
    margin-bottom: 2rem;
}

.footer-contact a {
    color: var(--wp--preset--color--orange);
    display: block;
    text-decoration: none;
    font-weight: 600;
}

footer address {
    color: #ffffff;
    font-style: normal;
}

.footer-bottom { margin-block-start: 4rem !important; width: 100%; }

.footer-bottom ul li a { font-size: 0.75rem; }

@media all and (min-width: 768px) {

    .footer-logo { width: 100%; text-align: left; margin-right: auto; }

    .footer-columns {
        margin-block-start: 2rem;
        flex-direction: row;
        justify-content: space-between;
        align-items: flex-start;
    }

    .footer-contact { text-align: right; }

    footer address { text-align: right; }

}

@media all and (min-width: 1024px) {

    footer { padding-bottom: 1.5rem; }

    .footer-bottom ul { display: flex; gap: .5rem; }
    .footer-bottom ul li:not(:last-child)::after {
        content: "|";
        margin-left: .5rem;
        color: #ccc;
    }

}